<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <!-- interface-requires gtk+ 3.9 -->
  <template class="BoxesAssistantDownloadsPage" parent="GtkStack">
    <signal name="key-press-event" handler="on_key_pressed"/>

    <child>
      <object class="GtkScrolledWindow">
        <property name="visible">True</property>
        <property name="margin-start">20</property>
        <property name="margin-end">20</property>

        <child>
          <object class="GtkStack" id="stack">
            <property name="visible">True</property>

            <child>
              <object class="GtkSpinner">
                <property name="visible">True</property>
                <property name="active">True</property>
              </object>
            </child>

            <child>
              <object class="GtkListBox" id="recommended_listbox">
                <property name="visible">True</property>
                <property name="vexpand">True</property>
                <property name="selection-mode">none</property>
                <property name="margin">20</property>
                <signal name="row-activated" handler="on_listbox_row_activated"/>
                <style>
                  <class name="content"/>
                </style>
              </object>
            </child>
          </object>
        </child>
      </object>
      <packing>
        <property name="name">recommended</property>
      </packing>
    </child>

    <child>
      <object class="GtkScrolledWindow" id="scrolled_window">
        <property name="visible">True</property>
        <property name="expand">True</property>

        <child>
          <object class="GtkBox">
            <property name="visible">True</property>
            <property name="orientation">vertical</property>
            <property name="border-width">20</property>
            <property name="margin-start">20</property>
            <property name="margin-end">20</property>

            <child>
              <object class="GtkListBox" id="listbox">
                <property name="visible">True</property>
                <property name="selection-mode">none</property>
                <signal name="row-activated" handler="on_listbox_row_activated"/>
                <style>
                  <class name="content"/>
                </style>
              </object>
            </child>
          </object>
        </child>
      </object>
      <packing>
        <property name="name">search-results</property>
      </packing>
    </child>

    <child>
      <object class="HdyStatusPage">
        <property name="visible">True</property>
        <property name="hexpand">True</property>
        <property name="vexpand">True</property>
        <property name="icon-name">empty-boxes</property>
        <property name="title" translatable="yes">No operating systems found</property>
        <property name="description" translatable="yes">Try a different search</property>
      </object>
      <packing>
        <property name="name">no-results</property>
      </packing>
    </child>

  </template>

       <object class="GtkSearchEntry" id="searchbar">
            <property name="visible">True</property>
            <property name="width-chars">50</property>
            <property name="can-focus">True</property>
            <property name="placeholder-text" translatable="yes">Search for an OS or enter a download link…</property>
          </object>
</interface>
